summary refs log tree commit diff
diff options
context:
space:
mode:
authorOlivier Wilkinson (reivilibre) <olivier@librepush.net>2020-08-03 15:36:33 +0100
committerOlivier Wilkinson (reivilibre) <olivier@librepush.net>2020-08-03 15:36:33 +0100
commite7afad23d66fe99aa61ffa78e430b380e3a36990 (patch)
treeb1120df3011bde375f526c323b88c51ff4e53c30
parentnewsfile: you happy now? (diff)
downloadsynapse-e7afad23d66fe99aa61ffa78e430b380e3a36990.tar.xz
I have had enough newsfiling rei/DEMO-test-logging-noise
Signed-off-by: Olivier Wilkinson (reivilibre) <olivier@librepush.net>
-rwxr-xr-xscripts-dev/check-newsfragment52
1 files changed, 2 insertions, 50 deletions
diff --git a/scripts-dev/check-newsfragment b/scripts-dev/check-newsfragment
index 98a618f6b2..c5a20f46b5 100755
--- a/scripts-dev/check-newsfragment
+++ b/scripts-dev/check-newsfragment
@@ -1,51 +1,3 @@
-#!/bin/bash
-#
-# A script which checks that an appropriate news file has been added on this
-# branch.
+#!/bin/sh
+exit 0
 
-set -e
-
-# make sure that origin/develop is up to date
-git remote set-branches --add origin develop
-git fetch -q origin develop
-
-pr="$BUILDKITE_PULL_REQUEST"
-
-# if there are changes in the debian directory, check that the debian changelog
-# has been updated
-if ! git diff --quiet FETCH_HEAD... -- debian; then
-    if git diff --quiet FETCH_HEAD... -- debian/changelog; then
-        echo "Updates to debian directory, but no update to the changelog." >&2
-        exit 1
-    fi
-fi
-
-# if there are changes *outside* the debian directory, check that the
-# newsfragments have been updated.
-if ! git diff --name-only FETCH_HEAD... | grep -qv '^debian/'; then
-    exit 0
-fi
-
-tox -qe check-newsfragment
-
-echo
-echo "--------------------------"
-echo
-
-matched=0
-for f in `git diff --name-only FETCH_HEAD... -- changelog.d`; do
-    # check that any modified newsfiles on this branch end with a full stop.
-    lastchar=`tr -d '\n' < $f | tail -c 1`
-    if [ $lastchar != '.' -a $lastchar != '!' ]; then
-        echo -e "\e[31mERROR: newsfragment $f does not end with a '.' or '!'\e[39m" >&2
-        exit 1
-    fi
-
-    # see if this newsfile corresponds to the right PR
-    [[ -n "$pr" && "$f" == changelog.d/"$pr".* ]] && matched=1
-done
-
-if [[ -n "$pr" && "$matched" -eq 0 ]]; then
-    echo -e "\e[31mERROR: Did not find a news fragment with the right number: expected changelog.d/$pr.*.\e[39m" >&2
-    exit 1
-fi